Name:           renderdoc
Version:        0.34
Release:        %mkrel 2
Summary:        Stand-alone graphics API debugging tool for Vulkan and OpenGL
Group:          Development/Tools
License:        MIT
URL:            https://renderdoc.org
Source0:        https://github.com/baldurk/renderdoc/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/baldurk/swig/archive/renderdoc-3.0.12/swig-renderdoc-3.0.12.tar.gz
Patch0:         renderdoc-0.34-mga-local-swig-tarball.patch
# Fix for https://github.com/baldurk/renderdoc/issues/639
Patch1:         renderdoc-0.34-Link-against-python-in-python-modules.patch

# (akien) plthook embedded library does not support ARM (as of June 2017)
# and upstream considers ARM support is not needed for this package
ExcludeArch:    %{arm}

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-keysyms)


%description
RenderDoc is a free MIT licensed stand-alone graphics debugger that allows
quick and easy single-frame capture and detailed introspection of any
application using Vulkan, D3D11, OpenGL or D3D12 across Windows 7-10, Linux
or Android.

%prep
%autosetup -p1
cp %{SOURCE1} .

%build
%cmake \
  -DBUILD_VERSION_HASH="ec4899ec72fc94886e0f350c931bc7d2f08891e8" \
  -DBUILD_VERSION_DIST_NAME="%{_vendor}" \
  -DBUILD_VERSION_DIST_VER="%{version}-%{release}" \
  -DBUILD_VERSION_DIST_CONTACT="http://madb.mageia.org/package/show/name/renderdoc" \
  -DBUILD_VERSION_STABLE=ON
%make_build

%install
%make_install -C build

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}cmd
%{_bindir}/q%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/menu/%{name}
%{_datadir}/mime/packages/%{name}-capture.xml
%{_datadir}/pixmaps/%{name}-icon-{16x16,32x32}.xpm
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-capture.svg
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_sysconfdir}/vulkan/implicit_layer.d/%{name}_capture.json


%changelog
* Sat Jun 10 2017 akien <akien> 0.34-2.mga6
+ Revision: 1107505
- Exclude ARM platforms, plthook dependency does not support them

* Fri Jun 09 2017 akien <akien> 0.34-1.mga6
+ Revision: 1107384
- Version 0.34 (bundles modified swig)

* Mon Apr 10 2017 akien <akien> 0.33-3.mga6
+ Revision: 1096232
- Fix version string in Qt UI

* Sun Apr 09 2017 akien <akien> 0.33-2.mga6
+ Revision: 1096223
- Fix library path in vulkan renderdoc_capture.json

* Sun Apr 09 2017 akien <akien> 0.33-1.mga6
+ Revision: 1096217
- imported package renderdoc

